Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ddf.minim.signals
Class SquareWave

    java.lang.Object
      ddf.minim.signals.Oscillator
          ddf.minim.signals.SquareWave

All Implemented Interfaces:
  AudioSignal

    public class SquareWave

extends Oscillator

A square wave alternates between 1 and -1 at regular intervals.

Author:
  ddf
See Also:
  Square Wave

Field Summary

Fields inherited from class ddf.minim.signals.Oscillator
`TWO_PI`

Constructor Summary
`SquareWave(float frequency, float amplitude, float sampleRate)` Constructs a square wave with the given frequency, amplitude and sample rate.

Method Summary
`protected float` | `value(float step)` Returns the value of the waveform at `step`.

Methods inherited from class ddf.minim.signals.Oscillator
`amplitude, frequency, generate, generate, noPortamento, pan, period, portamento, sampleRate, setAmp, setAudioListener, setFreq, setPan, setPanNoGlide`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SquareWave

    public SquareWave(float frequency,
                      float amplitude,
                      float sampleRate)

  Constructs a square wave with the given frequency, amplitude and sample rate.

  Parameters:
    `frequency` - the frequency of the pulse wave
    `amplitude` - the amplitude of the pulse wave
    `sampleRate` - the sample rate of the pulse wave

Method Detail

### value

    protected float value(float step)

  Description copied from class: `Oscillator`
  Returns the value of the waveform at `step`. To take advantage of all of the work that `Oscillator` does, you can create your own periodic waveforms by extending `Oscillator` and implementing this function. All of the oscillators included with Minim were created in this way.

  Specified by:
    `value` in class `Oscillator`
  Parameters:
    `step` - an offset from the beginning of the waveform's period
  Returns:
    the value of the waveform at `step`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD